
From: David Howells <dhowells@redhat.com>

The attached patch makes the FR-V arch put all its memory in the DMA zone
rather than the Normal zone since all the memory is available as a DMA
target.

Signed-Off-By: David Howells <dhowells@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/frv/mm/init.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/frv/mm/init.c~put-memory-in-dma-zone-not-normal-zone-in-frv-arch arch/frv/mm/init.c
--- 25/arch/frv/mm/init.c~put-memory-in-dma-zone-not-normal-zone-in-frv-arch	Thu Dec  9 14:21:03 2004
+++ 25-akpm/arch/frv/mm/init.c	Thu Dec  9 14:21:03 2004
@@ -125,8 +125,8 @@ void __init paging_init(void)
 
 	/* distribute the allocatable pages across the various zones and pass them to the allocator
 	 */
-	zones_size[ZONE_DMA]     = 0 >> PAGE_SHIFT;
-	zones_size[ZONE_NORMAL]  = max_low_pfn - min_low_pfn;
+	zones_size[ZONE_DMA]     = max_low_pfn - min_low_pfn;
+	zones_size[ZONE_NORMAL]  = 0;
 #ifdef CONFIG_HIGHMEM
 	zones_size[ZONE_HIGHMEM] = num_physpages - num_mappedpages;
 #endif
_
